DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Functions
factory.h File Reference

## Classes
class | dcmtk::log4cplus::spi::BaseFactory
| This is the base class for all factories. More...
class | dcmtk::log4cplus::spi::AppenderFactory
| This abstract class defines the "Factory" interface to create "Appender" objects. More...
class | dcmtk::log4cplus::spi::LayoutFactory
| This abstract class defines the "Factory" interface to create "Layout" objects. More...
class | dcmtk::log4cplus::spi::FilterFactory
| This abstract class defines the "Factory" interface to create "Appender" objects. More...
class | dcmtk::log4cplus::spi::LocaleFactory
| This abstract class defines the "Factory" interface to create STD_NAMESPACE locale instances. More...
class | dcmtk::log4cplus::spi::FactoryRegistry< T >
| This template class is used as a "Factory Registry". More...
class | dcmtk::log4cplus::spi::LocalFactoryBase< ProductFactoryBase >
class | dcmtk::log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >

## Functions
DCMTK_LOG4CPLUS_EXPORT AppenderFactoryRegistry & | dcmtk::log4cplus::spi::getAppenderFactoryRegistry ()
| Returns the "singleton" `AppenderFactoryRegistry`.
DCMTK_LOG4CPLUS_EXPORT LayoutFactoryRegistry & | dcmtk::log4cplus::spi::getLayoutFactoryRegistry ()
| Returns the "singleton" `LayoutFactoryRegistry`.
DCMTK_LOG4CPLUS_EXPORT FilterFactoryRegistry & | dcmtk::log4cplus::spi::getFilterFactoryRegistry ()
| Returns the "singleton" `FilterFactoryRegistry`.
DCMTK_LOG4CPLUS_EXPORT LocaleFactoryRegistry & | dcmtk::log4cplus::spi::getLocaleFactoryRegistry ()
| Returns the "singleton" `LocaleFactoryRegistry`.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2